Page MenuHomePhabricator

Find test wiki(s) for new description usage and enable there
Closed, ResolvedPublic

Description

Similar to T151717: Usage tracking: record which statement group is used, but certainly with way less impact (as descriptions are used rather rarely), we need to find a few test wikis where we can safely enable description usage tracking before enabling it on all wikis.

I suggest:

  • all small wikis (small.dblist)
  • cawiki
  • cewiki
  • elwiki
  • kowiki
  • trwiki

Event Timeline

hoo created this task.Sep 30 2017, 9:51 PM
Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptSep 30 2017, 9:51 PM
hoo added a comment.Sep 30 2017, 9:51 PM

Does that list look sensible to you @jcrespo? I expect this to have way way less impact than the statement usage tracking.

wc -l ./dblists/small.dblist
503 ./dblists/small.dblist

I would suggest we just enable it on a portion of them first (maybe 100) for 2-3 days not in all of them at once, just to avoid having to "monitor" 503 wikis. And if all goes well, we can fully enable it on the whole list.
How does that sound?

hoo added a comment.Oct 2 2017, 7:17 PM
wc -l ./dblists/small.dblist
503 ./dblists/small.dblist

I would suggest we just enable it on a portion of them first (maybe 100) for 2-3 days not in all of them at once, just to avoid having to "monitor" 503 wikis. And if all goes well, we can fully enable it on the whole list.
How does that sound?

That might get a little ugly in the configuration, but I'm sure I can figure something out… going for 100 of these will probably be a bit to much, but I'm sure I can do 20 small ones + the other ones suggested above.

wc -l ./dblists/small.dblist
503 ./dblists/small.dblist

I would suggest we just enable it on a portion of them first (maybe 100) for 2-3 days not in all of them at once, just to avoid having to "monitor" 503 wikis. And if all goes well, we can fully enable it on the whole list.
How does that sound?

That might get a little ugly in the configuration, but I'm sure I can figure something out… going for 100 of these will probably be a bit to much, but I'm sure I can do 20 small ones + the other ones suggested above.

Sounds good! Just let us know the final list of wikis you choose, so we can keep them in mind if we see something weird
Thanks

Change 384003 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[operations/mediawiki-config@master] Enable description usage tracking on a few test wikis

https://gerrit.wikimedia.org/r/384003

hoo added a comment.Oct 16 2017, 7:16 PM

Deployment scheduled for 13:00–14:00 UTC tomorrow (Oct 17).

hoo updated the task description. (Show Details)Oct 16 2017, 7:33 PM
hoo added a comment.EditedOct 16 2017, 7:45 PM

I didn't realize earlier that I can't be around at that time, thus I moved the deploy to 08:00–09:00 UTC Wednesday (October 18).

Change 384003 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable description usage tracking on a few test wikis

https://gerrit.wikimedia.org/r/384003

Mentioned in SAL (#wikimedia-operations) [2017-10-18T08:09:34Z] <hoo@tin> Synchronized wmf-config/InitialiseSettings.php: Enable description usage tracking on a few test wikis (T177155) (duration: 00m 50s)

hoo closed this task as Resolved.Oct 18 2017, 8:20 AM
hoo removed a project: Patch-For-Review.